
Foreman - Feature #15439

Improve invalid medium error

06/16/2016 11:34 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3597

  

Description

When Katello plugin is installed, it sets media flag according to Content Views and sometimes it can be nil. Then ugly error message

NoMethodError: undefined method `path' for nil:NilClass is shown. This improves the error message.

Related issues:

Related to Foreman - Bug #7722: Provisioning TFTP menu fails when OS not assi... Resolved 09/29/2014

Related to Katello - Bug #16014: Improve error message when media is not set ... New 08/09/2016

Associated revisions

Revision a81a259c - 06/23/2016 09:37 AM - Lukas Zapletal

Fixes #15439 - improved error reporting for media

History

#1 - 06/16/2016 11:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3597 added

#2 - 06/17/2016 02:57 AM - Dominic Cleal

- Related to Bug #7722: Provisioning TFTP menu fails when OS not assigned to org/loc added

#3 - 06/17/2016 03:13 AM - Marek Hulán

- Category set to Templates

#4 - 06/23/2016 10:02 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a81a259c516ea317687fa2dc50b49c363f23ad8b.

#5 - 06/23/2016 10:18 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#6 - 08/09/2016 02:59 AM - Dominic Cleal

- Related to Bug #16014: Improve error message when media is not set properly added
